[Pkg-virtualbox-commits] [virtualbox] 04/17: Fix get orig source script
Gianfranco Costamagna
locutusofborg at moszumanska.debian.org
Tue Aug 23 16:42:49 UTC 2016
This is an automated email from the git hooks/post-receive script.
locutusofborg pushed a commit to branch master
in repository virtualbox.
commit 26776b13832b1ceda083406760d2d889896d3175
Author: Gianfranco Costamagna <costamagnagianfranco at yahoo.it>
Date: Fri Jul 22 13:17:45 2016 +0200
Fix get orig source script
---
debian/get-orig-source.sh | 12 +++++++++++-
1 file changed, 11 insertions(+), 1 deletion(-)
diff --git a/debian/get-orig-source.sh b/debian/get-orig-source.sh
index 15a2051..eca8316 100755
--- a/debian/get-orig-source.sh
+++ b/debian/get-orig-source.sh
@@ -2,8 +2,18 @@
set -ex
+if [ $# -ne 2 ]; then
+ echo "Error: 2 parameters are required."
+ exit 1
+fi
+
+if [ "$1" != "--upstream-version" ]; then
+ echo "Error: First parameter needs to be --upstream-version."
+ exit 1
+fi
+
UPSTREAM_VERSION=$2
-ORIG_TARBALL=$3
+ORIG_TARBALL=`readlink -e ../`/VirtualBox-${UPSTREAM_VERSION}.tar.bz2
REAL_TARBALL=`readlink -f ${ORIG_TARBALL}`
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-virtualbox/virtualbox.git
More information about the Pkg-virtualbox-commits
mailing list